/[zanavi_public1]/navit/navit/Makefile.in
ZANavi

Contents of /navit/navit/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log


Revision 51 - (show annotations) (download)
Mon Jul 25 19:29:08 2016 UTC (7 years, 8 months ago) by zoff99
File size: 78258 byte(s)
v2.0.52
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18
19
20 VPATH = @srcdir@
21 pkgdatadir = $(datadir)/@PACKAGE@
22 pkgincludedir = $(includedir)/@PACKAGE@
23 pkglibdir = $(libdir)/@PACKAGE@
24 pkglibexecdir = $(libexecdir)/@PACKAGE@
25 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26 install_sh_DATA = $(install_sh) -c -m 644
27 install_sh_PROGRAM = $(install_sh) -c
28 install_sh_SCRIPT = $(install_sh) -c
29 INSTALL_HEADER = $(INSTALL_DATA)
30 transform = $(program_transform_name)
31 NORMAL_INSTALL = :
32 PRE_INSTALL = :
33 POST_INSTALL = :
34 NORMAL_UNINSTALL = :
35 PRE_UNINSTALL = :
36 POST_UNINSTALL = :
37 build_triplet = @build@
38 host_triplet = @host@
39 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
40 $(top_srcdir)/Makefile.inc
41 @PLUGINS_TRUE@am__append_1 = .
42 @FONTS_TRUE@am__append_2 = fonts
43 @PLUGINS_FALSE@am__append_3 = .
44 @MAPTOOL_TRUE@am__append_4 = maptool
45 @BUILD_SAMPLEMAP_TRUE@am__append_5 = maps
46 @BIN_NAVIT_FALSE@bin_PROGRAMS = navit2$(EXEEXT)
47 @BIN_NAVIT_TRUE@bin_PROGRAMS = navit$(EXEEXT)
48 @SUPPORT_WIN32CE_TRUE@am__append_6 = -Lsupport/libc -lsupport_libc
49 @SUPPORT_ANDROID_TRUE@am__append_7 = \
50 @SUPPORT_ANDROID_TRUE@ vehicle/android/vehicle_android.c \
51 @SUPPORT_ANDROID_TRUE@ vehicle/demo/vehicle_demo.c \
52 @SUPPORT_ANDROID_TRUE@ gui/internal/gui_internal.c \
53 @SUPPORT_ANDROID_TRUE@ graphics/android/graphics_android.c \
54 @SUPPORT_ANDROID_TRUE@ map/binfile/binfile.c map/csv/csv.c \
55 @SUPPORT_ANDROID_TRUE@ map/csv/quadtree.c \
56 @SUPPORT_ANDROID_TRUE@ map/textfile/textfile.c \
57 @SUPPORT_ANDROID_TRUE@ osd/core/osd_core.c \
58 @SUPPORT_ANDROID_TRUE@ speech/android/speech_android.c \
59 @SUPPORT_ANDROID_TRUE@ android.c
60 @EVENT_GLIB_TRUE@am__append_8 = event_glib.c
61 @PLUGINS_FALSE@am__append_9 = builtin.c
62 @PLUGINS_FALSE@am__append_10 = $(MODULES)
63 @SUPPORT_WIN32_TRUE@am__append_11 = resource.rsc
64 @SUPPORT_WIN32CE_TRUE@@SUPPORT_WIN32_TRUE@am__append_12 = -lcommctrl -Lsupport/libc
65 @SUPPORT_WIN32CE_FALSE@@SUPPORT_WIN32_TRUE@am__append_13 = -lgdi32 -lcomctl32 -lwinmm
66 subdir = navit
67 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
68 am__aclocal_m4_deps = $(top_srcdir)/m4/codeset.m4 \
69 $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/glibc21.m4 \
70 $(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intdiv0.m4 \
71 $(top_srcdir)/m4/intmax.m4 $(top_srcdir)/m4/inttypes-pri.m4 \
72 $(top_srcdir)/m4/inttypes.m4 $(top_srcdir)/m4/inttypes_h.m4 \
73 $(top_srcdir)/m4/isc-posix.m4 $(top_srcdir)/m4/lcmessage.m4 \
74 $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
75 $(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
76 $(top_srcdir)/m4/longdouble.m4 $(top_srcdir)/m4/longlong.m4 \
77 $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
78 $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
79 $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
80 $(top_srcdir)/m4/printf-posix.m4 $(top_srcdir)/m4/progtest.m4 \
81 $(top_srcdir)/m4/signed.m4 $(top_srcdir)/m4/size_max.m4 \
82 $(top_srcdir)/m4/stdint_h.m4 $(top_srcdir)/m4/uintmax_t.m4 \
83 $(top_srcdir)/m4/ulonglong.m4 $(top_srcdir)/m4/wchar_t.m4 \
84 $(top_srcdir)/m4/wint_t.m4 $(top_srcdir)/m4/xsize.m4 \
85 $(top_srcdir)/configure.in
86 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
87 $(ACLOCAL_M4)
88 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
89 CONFIG_HEADER = $(top_builddir)/config.h
90 CONFIG_CLEAN_FILES =
91 CONFIG_CLEAN_VPATH_FILES =
92 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
93 am__vpath_adj = case $$p in \
94 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
95 *) f=$$p;; \
96 esac;
97 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
98 am__install_max = 40
99 am__nobase_strip_setup = \
100 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
101 am__nobase_strip = \
102 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
103 am__nobase_list = $(am__nobase_strip_setup); \
104 for p in $$list; do echo "$$p $$p"; done | \
105 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
106 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
107 if (++n[$$2] == $(am__install_max)) \
108 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
109 END { for (dir in files) print dir, files[dir] }'
110 am__base_list = \
111 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
112 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
113 am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
114 "$(DESTDIR)$(pkgdatadir)"
115 LTLIBRARIES = $(lib_LTLIBRARIES) $(noinst_LTLIBRARIES)
116 am__DEPENDENCIES_1 =
117 lib@LIBNAVIT@_la_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__append_10)
118 am__lib@LIBNAVIT@_la_SOURCES_DIST = announcement.c atom.c attr.c \
119 cache.c callback.c command.c compass.c config_.c coord.c \
120 country.c data_window.c debug.c event.c event_glib.h file.c \
121 graphics.c gui.c item.c layout.c log.c main.c map.c \
122 linguistics.c mapset.c maptype.c menu.c messages.c bookmarks.c \
123 bookmarks.h navit.c navigation.c osd.c param.c phrase.c \
124 plugin.c popup.c profile.c projection.c roadprofile.c route.c \
125 routech.c search.c speech.c start_real.c transform.c track.c \
126 util.c vehicle.c vehicleprofile.c xmlconfig.c announcement.h \
127 atom.h attr.h attr_def.h cache.h callback.h color.h command.h \
128 compass.h config_.h coord.h country.h android.h data.h \
129 data_window.h data_window_int.h debug.h destination.h \
130 draw_info.h endianess.h event.h file.h graphics.h gtkext.h \
131 gui.h item.h item_def.h keys.h log.h layer.h layout.h \
132 linguistics.h main.h map-share.h map.h map_data.h mapset.h \
133 maptype.h menu.h messages.h navigation.h navit.h osd.h param.h \
134 phrase.h plugin.h point.h plugin_def.h projection.h popup.h \
135 route.h profile.h roadprofile.h search.h speech.h start_real.h \
136 transform.h track.h types.h util.h vehicle.h vehicleprofile.h \
137 window.h xmlconfig.h zipfile.h navit_nls.h sunriset.c \
138 sunriset.h glib_slice.h maptool/miniz.c snprintf.c snprintf.h \
139 vehicle/android/vehicle_android.c vehicle/demo/vehicle_demo.c \
140 gui/internal/gui_internal.c \
141 graphics/android/graphics_android.c map/binfile/binfile.c \
142 map/csv/csv.c map/csv/quadtree.c map/textfile/textfile.c \
143 osd/core/osd_core.c speech/android/speech_android.c android.c \
144 event_glib.c builtin.c
145 @SUPPORT_ANDROID_TRUE@am__objects_1 = vehicle_android.lo \
146 @SUPPORT_ANDROID_TRUE@ vehicle_demo.lo gui_internal.lo \
147 @SUPPORT_ANDROID_TRUE@ graphics_android.lo binfile.lo csv.lo \
148 @SUPPORT_ANDROID_TRUE@ quadtree.lo textfile.lo osd_core.lo \
149 @SUPPORT_ANDROID_TRUE@ speech_android.lo android.lo
150 @EVENT_GLIB_TRUE@am__objects_2 = event_glib.lo
151 @PLUGINS_FALSE@am__objects_3 = builtin.lo
152 am_lib@LIBNAVIT@_la_OBJECTS = announcement.lo atom.lo attr.lo cache.lo \
153 callback.lo command.lo compass.lo config_.lo coord.lo \
154 country.lo data_window.lo debug.lo event.lo file.lo \
155 graphics.lo gui.lo item.lo layout.lo log.lo main.lo map.lo \
156 linguistics.lo mapset.lo maptype.lo menu.lo messages.lo \
157 bookmarks.lo navit.lo navigation.lo osd.lo param.lo phrase.lo \
158 plugin.lo popup.lo profile.lo projection.lo roadprofile.lo \
159 route.lo routech.lo search.lo speech.lo start_real.lo \
160 transform.lo track.lo util.lo vehicle.lo vehicleprofile.lo \
161 xmlconfig.lo sunriset.lo miniz.lo snprintf.lo $(am__objects_1) \
162 $(am__objects_2) $(am__objects_3)
163 lib@LIBNAVIT@_la_OBJECTS = $(am_lib@LIBNAVIT@_la_OBJECTS)
164 lib@LIBNAVIT@_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
165 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
166 $(lib@LIBNAVIT@_la_LDFLAGS) $(LDFLAGS) -o $@
167 @SHARED_LIBNAVIT_FALSE@am_lib@LIBNAVIT@_la_rpath =
168 @SHARED_LIBNAVIT_TRUE@am_lib@LIBNAVIT@_la_rpath = -rpath $(libdir)
169 PROGRAMS = $(bin_PROGRAMS)
170 am__navit_SOURCES_DIST = start.c
171 @SUPPORT_ANDROID_FALSE@am_navit_OBJECTS = start.$(OBJEXT)
172 navit_OBJECTS = $(am_navit_OBJECTS)
173 @SUPPORT_ANDROID_FALSE@navit_DEPENDENCIES = lib@LIBNAVIT@.la \
174 @SUPPORT_ANDROID_FALSE@ $(am__append_11) $(am__DEPENDENCIES_1) \
175 @SUPPORT_ANDROID_FALSE@ $(am__DEPENDENCIES_1)
176 @SUPPORT_ANDROID_TRUE@navit_DEPENDENCIES = $(am__append_11) \
177 @SUPPORT_ANDROID_TRUE@ $(am__DEPENDENCIES_1) \
178 @SUPPORT_ANDROID_TRUE@ $(am__DEPENDENCIES_1)
179 navit_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
180 --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(navit_LDFLAGS) \
181 $(LDFLAGS) -o $@
182 am__navit2_SOURCES_DIST = navit2.c
183 @SUPPORT_ANDROID_TRUE@am_navit2_OBJECTS = navit2.$(OBJEXT)
184 navit2_OBJECTS = $(am_navit2_OBJECTS)
185 @SUPPORT_ANDROID_TRUE@navit2_DEPENDENCIES = lib@LIBNAVIT@.la
186 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
187 depcomp = $(SHELL) $(top_srcdir)/depcomp
188 am__depfiles_maybe = depfiles
189 am__mv = mv -f
190 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
191 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
192 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
193 --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
194 $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
195 CCLD = $(CC)
196 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
197 --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
198 $(LDFLAGS) -o $@
199 SOURCES = $(lib@LIBNAVIT@_la_SOURCES) $(navit_SOURCES) \
200 $(navit2_SOURCES)
201 DIST_SOURCES = $(am__lib@LIBNAVIT@_la_SOURCES_DIST) \
202 $(am__navit_SOURCES_DIST) $(am__navit2_SOURCES_DIST)
203 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
204 html-recursive info-recursive install-data-recursive \
205 install-dvi-recursive install-exec-recursive \
206 install-html-recursive install-info-recursive \
207 install-pdf-recursive install-ps-recursive install-recursive \
208 installcheck-recursive installdirs-recursive pdf-recursive \
209 ps-recursive uninstall-recursive
210 DATA = $(pkgdata_DATA)
211 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
212 distclean-recursive maintainer-clean-recursive
213 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
214 $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
215 distdir
216 ETAGS = etags
217 CTAGS = ctags
218 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
219 am__relativize = \
220 dir0=`pwd`; \
221 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
222 sed_rest='s,^[^/]*/*,,'; \
223 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
224 sed_butlast='s,/*[^/]*$$,,'; \
225 while test -n "$$dir1"; do \
226 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
227 if test "$$first" != "."; then \
228 if test "$$first" = ".."; then \
229 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
230 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
231 else \
232 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
233 if test "$$first2" = "$$first"; then \
234 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
235 else \
236 dir2="../$$dir2"; \
237 fi; \
238 dir0="$$dir0"/"$$first"; \
239 fi; \
240 fi; \
241 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
242 done; \
243 reldir="$$dir2"
244 ACLOCAL = @ACLOCAL@
245 ALLOCA = @ALLOCA@
246 AMTAR = @AMTAR@
247 ANDROID_PERMISSIONS = @ANDROID_PERMISSIONS@
248 ANDROID_PROJECT = @ANDROID_PROJECT@
249 AR = @AR@
250 AUTOCONF = @AUTOCONF@
251 AUTOHEADER = @AUTOHEADER@
252 AUTOMAKE = @AUTOMAKE@
253 AWK = @AWK@
254 BUILD_INCLUDED_LIBINTL = @BUILD_INCLUDED_LIBINTL@
255 CATOBJEXT = @CATOBJEXT@
256 CC = @CC@
257 CCDEPMODE = @CCDEPMODE@
258 CCLD_FOR_BUILD = @CCLD_FOR_BUILD@
259 CC_FOR_BUILD = @CC_FOR_BUILD@
260 CFLAGS = @CFLAGS@
261 CPP = @CPP@
262 CPPFLAGS = @CPPFLAGS@
263 CRYPTO_LIBS = @CRYPTO_LIBS@
264 CXX = @CXX@
265 CXXCPP = @CXXCPP@
266 CXXDEPMODE = @CXXDEPMODE@
267 CXXFLAGS = @CXXFLAGS@
268 CYGPATH_W = @CYGPATH_W@
269 DATADIRNAME = @DATADIRNAME@
270 DBUS_CFLAGS = @DBUS_CFLAGS@
271 DBUS_LIBS = @DBUS_LIBS@
272 DBUS_SERVICE_DIR = @DBUS_SERVICE_DIR@
273 DEFS = @DEFS@
274 DEPDIR = @DEPDIR@
275 DSYMUTIL = @DSYMUTIL@
276 DUMPBIN = @DUMPBIN@
277 ECHO_C = @ECHO_C@
278 ECHO_N = @ECHO_N@
279 ECHO_T = @ECHO_T@
280 EGREP = @EGREP@
281 EXEEXT = @EXEEXT@
282 FGREP = @FGREP@
283 FONTCONFIG_CFLAGS = @FONTCONFIG_CFLAGS@
284 FONTCONFIG_LIBS = @FONTCONFIG_LIBS@
285 FREEIMAGE_LIBS = @FREEIMAGE_LIBS@
286 FREETYPE2_CFLAGS = @FREETYPE2_CFLAGS@
287 FREETYPE2_LIBS = @FREETYPE2_LIBS@
288 FRIBIDI2_CFLAGS = @FRIBIDI2_CFLAGS@
289 FRIBIDI2_LIBS = @FRIBIDI2_LIBS@
290 FRIBIDI_CFLAGS = @FRIBIDI_CFLAGS@
291 FRIBIDI_LIBS = @FRIBIDI_LIBS@
292 GDLIB_CONFIG = @GDLIB_CONFIG@
293 GD_CFLAGS = @GD_CFLAGS@
294 GD_LIBS = @GD_LIBS@
295 GENCAT = @GENCAT@
296 GLC_CFLAGS = @GLC_CFLAGS@
297 GLC_LIBS = @GLC_LIBS@
298 GLIBC21 = @GLIBC21@
299 GLIB_CFLAGS = @GLIB_CFLAGS@
300 GLIB_LIBS = @GLIB_LIBS@
301 GMODULE_CFLAGS = @GMODULE_CFLAGS@
302 GMODULE_LIBS = @GMODULE_LIBS@
303 GMSGFMT = @GMSGFMT@
304 GPSBT_CFLAGS = @GPSBT_CFLAGS@
305 GPSBT_LIBS = @GPSBT_LIBS@
306 GPSD_CFLAGS = @GPSD_CFLAGS@
307 GPSD_LIBS = @GPSD_LIBS@
308 GREP = @GREP@
309 GTK2_CFLAGS = @GTK2_CFLAGS@
310 GTK2_LIBS = @GTK2_LIBS@
311 GYPSY_CFLAGS = @GYPSY_CFLAGS@
312 GYPSY_LIBS = @GYPSY_LIBS@
313 HAVE_ASPRINTF = @HAVE_ASPRINTF@
314 HAVE_POSIX_PRINTF = @HAVE_POSIX_PRINTF@
315 HAVE_SNPRINTF = @HAVE_SNPRINTF@
316 HAVE_WPRINTF = @HAVE_WPRINTF@
317 HILDON_CFLAGS = @HILDON_CFLAGS@
318 HILDON_LIBS = @HILDON_LIBS@
319 IMLIB2_CFLAGS = @IMLIB2_CFLAGS@
320 IMLIB2_LIBS = @IMLIB2_LIBS@
321 INSTALL = @INSTALL@
322 INSTALL_DATA = @INSTALL_DATA@
323 INSTALL_PROGRAM = @INSTALL_PROGRAM@
324 INSTALL_SCRIPT = @INSTALL_SCRIPT@
325 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
326 INSTOBJEXT = @INSTOBJEXT@
327 INTLBISON = @INTLBISON@
328 INTLIBS = @INTLIBS@
329 INTLLIBS = @INTLLIBS@
330 INTLOBJS = @INTLOBJS@
331 INTL_LIBTOOL_SUFFIX_PREFIX = @INTL_LIBTOOL_SUFFIX_PREFIX@
332 IPHONE_CFLAGS = @IPHONE_CFLAGS@
333 IPHONE_LIBS = @IPHONE_LIBS@
334 LD = @LD@
335 LDFLAGS = @LDFLAGS@
336 LIBC_LIBS = @LIBC_LIBS@
337 LIBGARMIN_CFLAGS = @LIBGARMIN_CFLAGS@
338 LIBGARMIN_LIBS = @LIBGARMIN_LIBS@
339 LIBGPS19_CFLAGS = @LIBGPS19_CFLAGS@
340 LIBGPS19_LIBS = @LIBGPS19_LIBS@
341 LIBICONV = @LIBICONV@
342 LIBINTL = @LIBINTL@
343 LIBLOCATION_CFLAGS = @LIBLOCATION_CFLAGS@
344 LIBLOCATION_LIBS = @LIBLOCATION_LIBS@
345 LIBNAVIT = @LIBNAVIT@
346 LIBOBJS = @LIBOBJS@
347 LIBOSSO_CFLAGS = @LIBOSSO_CFLAGS@
348 LIBOSSO_LIBS = @LIBOSSO_LIBS@
349 LIBPDL_CFLAGS = @LIBPDL_CFLAGS@
350 LIBPDL_LIBS = @LIBPDL_LIBS@
351 LIBS = @LIBS@
352 LIBTOOL = @LIBTOOL@
353 LIPO = @LIPO@
354 LN_S = @LN_S@
355 LTLIBICONV = @LTLIBICONV@
356 LTLIBINTL = @LTLIBINTL@
357 LTLIBOBJS = @LTLIBOBJS@
358 MAINT = @MAINT@
359 MAKEINFO = @MAKEINFO@
360 MKDIR_P = @MKDIR_P@
361 MKINSTALLDIRS = @MKINSTALLDIRS@
362 MOC = @MOC@
363 MODULE_LDFLAGS = @MODULE_LDFLAGS@
364 MODULE_LIBADD = @MODULE_LIBADD@
365 MOFILES = @MOFILES@
366 MSGFMT = @MSGFMT@
367 MSGMERGE = @MSGMERGE@
368 NAVIT_CFLAGS = @NAVIT_CFLAGS@
369 NAVIT_LIBS = @NAVIT_LIBS@
370 NAVIT_MODULE_LDFLAGS = @NAVIT_MODULE_LDFLAGS@
371 NAVIT_SOCKET_LDFLAGS = @NAVIT_SOCKET_LDFLAGS@
372 NAVIT_VARIANT = @NAVIT_VARIANT@
373 NM = @NM@
374 NMEDIT = @NMEDIT@
375 OBJC = @OBJC@
376 OBJCDEPMODE = @OBJCDEPMODE@
377 OBJCFLAGS = @OBJCFLAGS@
378 OBJDUMP = @OBJDUMP@
379 OBJEXT = @OBJEXT@
380 OPENGL_CFLAGS = @OPENGL_CFLAGS@
381 OPENGL_LIBS = @OPENGL_LIBS@
382 OTOOL = @OTOOL@
383 OTOOL64 = @OTOOL64@
384 PACKAGE = @PACKAGE@
385 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
386 PACKAGE_NAME = @PACKAGE_NAME@
387 PACKAGE_STRING = @PACKAGE_STRING@
388 PACKAGE_TARNAME = @PACKAGE_TARNAME@
389 PACKAGE_URL = @PACKAGE_URL@
390 PACKAGE_VERSION = @PACKAGE_VERSION@
391 PATH_SEPARATOR = @PATH_SEPARATOR@
392 PG_CONFIG = @PG_CONFIG@
393 PKG_CONFIG = @PKG_CONFIG@
394 POFILES = @POFILES@
395 POIFILES = @POIFILES@
396 POSTGRESQL_CFLAGS = @POSTGRESQL_CFLAGS@
397 POSTGRESQL_LIBS = @POSTGRESQL_LIBS@
398 POSUB = @POSUB@
399 PYTHONCONFIG = @PYTHONCONFIG@
400 PYTHON_CFLAGS = @PYTHON_CFLAGS@
401 PYTHON_LIBS = @PYTHON_LIBS@
402 QT_DECLARATIVE_CFLAGS = @QT_DECLARATIVE_CFLAGS@
403 QT_DECLARATIVE_LIBS = @QT_DECLARATIVE_LIBS@
404 QT_GUI_CFLAGS = @QT_GUI_CFLAGS@
405 QT_GUI_LIBS = @QT_GUI_LIBS@
406 QT_SVG_CFLAGS = @QT_SVG_CFLAGS@
407 QT_SVG_LIBS = @QT_SVG_LIBS@
408 QT_XML_CFLAGS = @QT_XML_CFLAGS@
409 QT_XML_LIBS = @QT_XML_LIBS@
410 RANLIB = @RANLIB@
411 SAXON = @SAXON@
412 SDL_CFLAGS = @SDL_CFLAGS@
413 SDL_IMAGE_LIBS = @SDL_IMAGE_LIBS@
414 SDL_LIBS = @SDL_LIBS@
415 SED = @SED@
416 SET_MAKE = @SET_MAKE@
417 SHAPEFILE_CFLAGS = @SHAPEFILE_CFLAGS@
418 SHAPEFILE_LIBS = @SHAPEFILE_LIBS@
419 SHELL = @SHELL@
420 SOURCE_MODE = @SOURCE_MODE@
421 SPEECHD_CFLAGS = @SPEECHD_CFLAGS@
422 SPEECHD_LIBS = @SPEECHD_LIBS@
423 STRIP = @STRIP@
424 SVG2PNG = @SVG2PNG@
425 SVG2PNG_SCALES = @SVG2PNG_SCALES@
426 SVG2PNG_SCALES_FLAG = @SVG2PNG_SCALES_FLAG@
427 SVG2PNG_SCALES_NAV = @SVG2PNG_SCALES_NAV@
428 USE_INCLUDED_LIBINTL = @USE_INCLUDED_LIBINTL@
429 USE_NLS = @USE_NLS@
430 VERSION = @VERSION@
431 WINDRES = @WINDRES@
432 WORDEXP_LIBS = @WORDEXP_LIBS@
433 XGETTEXT = @XGETTEXT@
434 XSLTS = @XSLTS@
435 ZLIB_CFLAGS = @ZLIB_CFLAGS@
436 ZLIB_LIBS = @ZLIB_LIBS@
437 _PATH_BZCAT = @_PATH_BZCAT@
438 _PATH_PYTHON = @_PATH_PYTHON@
439 abs_builddir = @abs_builddir@
440 abs_srcdir = @abs_srcdir@
441 abs_top_builddir = @abs_top_builddir@
442 abs_top_srcdir = @abs_top_srcdir@
443 ac_ct_CC = @ac_ct_CC@
444 ac_ct_CXX = @ac_ct_CXX@
445 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
446 ac_ct_OBJC = @ac_ct_OBJC@
447 am__include = @am__include@
448 am__leading_dot = @am__leading_dot@
449 am__quote = @am__quote@
450 am__tar = @am__tar@
451 am__untar = @am__untar@
452 bindir = @bindir@
453 build = @build@
454 build_alias = @build_alias@
455 build_cpu = @build_cpu@
456 build_os = @build_os@
457 build_vendor = @build_vendor@
458 builddir = @builddir@
459 cross_compiling = @cross_compiling@
460 datadir = @datadir@
461 datarootdir = @datarootdir@
462 docdir = @docdir@
463 dvidir = @dvidir@
464 exec_prefix = @exec_prefix@
465 host = @host@
466 host_alias = @host_alias@
467 host_cpu = @host_cpu@
468 host_os = @host_os@
469 host_vendor = @host_vendor@
470 htmldir = @htmldir@
471 includedir = @includedir@
472 infodir = @infodir@
473 install_sh = @install_sh@
474 libdir = @libdir@
475 libexecdir = @libexecdir@
476 localedir = @localedir@
477 localstatedir = @localstatedir@
478 lt_ECHO = @lt_ECHO@
479 mandir = @mandir@
480 mkdir_p = @mkdir_p@
481 oldincludedir = @oldincludedir@
482 pdfdir = @pdfdir@
483 prefix = @prefix@
484 program_transform_name = @program_transform_name@
485 psdir = @psdir@
486 sbindir = @sbindir@
487 sharedstatedir = @sharedstatedir@
488 srcdir = @srcdir@
489 sysconfdir = @sysconfdir@
490 target_alias = @target_alias@
491 top_build_prefix = @top_build_prefix@
492 top_builddir = @top_builddir@
493 top_srcdir = @top_srcdir@
494 modulebindingdir = $(pkglibdir)/binding
495 modulemapdir = $(pkglibdir)/map
496 modulefontdir = $(pkglibdir)/font
497 modulegraphicsdir = $(pkglibdir)/graphics
498 moduleguidir = $(pkglibdir)/gui
499 modulespeechdir = $(pkglibdir)/speech
500 moduleosddir = $(pkglibdir)/osd
501 modulevehicledir = $(pkglibdir)/vehicle
502 moduleplugindir = $(pkglibdir)/plugin
503 moduleautoloaddir = $(pkglibdir)/autoload
504 pkgdocdir = $(pkgdatadir)
505 xpmdir = $(pkgdatadir)/xpm
506 skinsdir = $(pkgdatadir)/skins
507 fontsdir = $(pkgdatadir)/fonts
508 mapsdir = $(pkgdatadir)/maps
509 comma = ,
510 SUBDIRS = fib-1.1 support $(am__append_1) autoload binding map font \
511 gui graphics osd plugin speech vehicle xpm $(am__append_2) \
512 $(am__append_3) $(am__append_4) $(am__append_5)
513 DIST_SUBDIRS = autoload binding map maptool fib-1.1 font fonts gui graphics osd plugin speech vehicle support xpm maps
514 MODULES = $(wildcard $(top_builddir)/navit/binding/*/*.la $(top_builddir)/navit/font/*/*.la $(top_builddir)/navit/graphics/*/*.la $(top_builddir)/navit/gui/*/*.la $(top_builddir)/navit/map/*/*.la $(top_builddir)/navit/osd/*/*.la $(top_builddir)/navit/speech/*/*.la $(top_builddir)/navit/vehicle/*/*.la)
515 AM_CPPFLAGS = -I$(top_srcdir)/navit/fib-1.1 @NAVIT_CFLAGS@ @ZLIB_CFLAGS@ -DPREFIX=\"@prefix@\" -DLIBDIR=\"@libdir@\" -DMODULE=navit
516 BUILT_SOURCES = version.h navit_config.h
517 @SHARED_LIBNAVIT_TRUE@lib_LTLIBRARIES = lib@LIBNAVIT@.la
518 @SHARED_LIBNAVIT_TRUE@lib@LIBNAVIT@_la_LDFLAGS = -avoid-version @MODULE_LDFLAGS@ @NAVIT_SOCKET_LDFLAGS@ -no-undefined -Wl,--no-undefined
519 @SHARED_LIBNAVIT_FALSE@noinst_LTLIBRARIES = lib@LIBNAVIT@.la
520 lib@LIBNAVIT@_la_LIBADD = @NAVIT_LIBS@ @WORDEXP_LIBS@ @ZLIB_LIBS@ \
521 @INTLLIBS@ -Lfib-1.1 -lfib @MODULE_LIBADD@ @CRYPTO_LIBS@ \
522 $(am__append_6) $(am__append_10)
523 pkgdata_DATA = navit.xml
524 EXTRA_DIST = navit_shipped.xml navit.dtd
525 lib@LIBNAVIT@_la_SOURCES = announcement.c atom.c attr.c cache.c \
526 callback.c command.c compass.c config_.c coord.c country.c \
527 data_window.c debug.c event.c event_glib.h file.c graphics.c \
528 gui.c item.c layout.c log.c main.c map.c linguistics.c \
529 mapset.c maptype.c menu.c messages.c bookmarks.c bookmarks.h \
530 navit.c navigation.c osd.c param.c phrase.c plugin.c popup.c \
531 profile.c projection.c roadprofile.c route.c routech.c \
532 search.c speech.c start_real.c transform.c track.c util.c \
533 vehicle.c vehicleprofile.c xmlconfig.c announcement.h atom.h \
534 attr.h attr_def.h cache.h callback.h color.h command.h \
535 compass.h config_.h coord.h country.h android.h data.h \
536 data_window.h data_window_int.h debug.h destination.h \
537 draw_info.h endianess.h event.h file.h graphics.h gtkext.h \
538 gui.h item.h item_def.h keys.h log.h layer.h layout.h \
539 linguistics.h main.h map-share.h map.h map_data.h mapset.h \
540 maptype.h menu.h messages.h navigation.h navit.h osd.h param.h \
541 phrase.h plugin.h point.h plugin_def.h projection.h popup.h \
542 route.h profile.h roadprofile.h search.h speech.h start_real.h \
543 transform.h track.h types.h util.h vehicle.h vehicleprofile.h \
544 window.h xmlconfig.h zipfile.h navit_nls.h sunriset.c \
545 sunriset.h glib_slice.h maptool/miniz.c snprintf.c snprintf.h \
546 $(am__append_7) $(am__append_8) $(am__append_9)
547 @SUPPORT_ANDROID_FALSE@navit_SOURCES = start.c
548 @SUPPORT_ANDROID_TRUE@navit_SOURCES =
549 @SUPPORT_ANDROID_FALSE@navit_LDADD = lib@LIBNAVIT@.la @NAVIT_LIBS@ \
550 @SUPPORT_ANDROID_FALSE@ @WORDEXP_LIBS@ @ZLIB_LIBS@ \
551 @SUPPORT_ANDROID_FALSE@ @CRYPTO_LIBS@ @INTLLIBS@ \
552 @SUPPORT_ANDROID_FALSE@ $(am__append_11) $(am__append_12) \
553 @SUPPORT_ANDROID_FALSE@ $(am__append_13)
554 @SUPPORT_ANDROID_TRUE@navit_LDADD = @NAVIT_LIBS@ @WORDEXP_LIBS@ \
555 @SUPPORT_ANDROID_TRUE@ @ZLIB_LIBS@ @CRYPTO_LIBS@ @INTLLIBS@ \
556 @SUPPORT_ANDROID_TRUE@ $(am__append_11) $(am__append_12) \
557 @SUPPORT_ANDROID_TRUE@ $(am__append_13)
558 @SUPPORT_ANDROID_TRUE@v_int = $$(cat $(srcdir)/android/Android_Market_Version_int.txt|grep v_int|cut -d ":" -f 2)
559 # v_name = "1.0.0-"$$(LANG=C svnversion $(top_srcdir) 2> /dev/null|tr -d ":A-Z" 2> /dev/null)
560 @SUPPORT_ANDROID_TRUE@v_name = $$(cat $(srcdir)/android/Android_Market_Version_int.txt|grep v_name|cut -d ":" -f 2)
561 @SUPPORT_ANDROID_TRUE@b_arch = $(shell if [ "$(DO_X86_BUILD)" == "1" ]; then echo "x86"; elif [ "$(DO_ARMV7_BUILD)" == "1" ]; then echo "armeabi-v7a"; else echo "armeabi"; fi)
562 @SUPPORT_ANDROID_TRUE@navit2_SOURCES = navit2.c
563 @SUPPORT_ANDROID_TRUE@navit2_LDADD = lib@LIBNAVIT@.la @NAVIT_LIBS@ \
564 @SUPPORT_ANDROID_TRUE@ @WORDEXP_LIBS@ @ZLIB_LIBS@ @CRYPTO_LIBS@ \
565 @SUPPORT_ANDROID_TRUE@ @INTLLIBS@ $(am__empty)
566 @SUPPORT_ANDROID_TRUE@navit2_LDFLAGS = -static -lc
567 @SUPPORT_ANDROID_TRUE@navit2_LINK = $(LIBTOOL) --tag=CC --mode=link $(CC) -o navit2 -lc --sysroot=$(NDK)/platforms/android-$(AND_API_LEVEL_C)/arch-arm
568 navit_LDFLAGS = -export-dynamic
569 all: $(BUILT_SOURCES)
570 $(MAKE) $(AM_MAKEFLAGS) all-recursive
571
572 .SUFFIXES:
573 .SUFFIXES: .c .lo .o .obj
574 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.inc $(am__configure_deps)
575 @for dep in $?; do \
576 case '$(am__configure_deps)' in \
577 *$$dep*) \
578 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
579 && { if test -f $@; then exit 0; else break; fi; }; \
580 exit 1;; \
581 esac; \
582 done; \
583 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu navit/Makefile'; \
584 $(am__cd) $(top_srcdir) && \
585 $(AUTOMAKE) --gnu navit/Makefile
586 .PRECIOUS: Makefile
587 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
588 @case '$?' in \
589 *config.status*) \
590 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
591 *) \
592 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
593 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
594 esac;
595
596 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
597 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
598
599 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
600 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
601 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
602 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
603 $(am__aclocal_m4_deps):
604 install-libLTLIBRARIES: $(lib_LTLIBRARIES)
605 @$(NORMAL_INSTALL)
606 test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
607 @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
608 list2=; for p in $$list; do \
609 if test -f $$p; then \
610 list2="$$list2 $$p"; \
611 else :; fi; \
612 done; \
613 test -z "$$list2" || { \
614 echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
615 $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
616 }
617
618 uninstall-libLTLIBRARIES:
619 @$(NORMAL_UNINSTALL)
620 @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
621 for p in $$list; do \
622 $(am__strip_dir) \
623 echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
624 $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
625 done
626
627 clean-libLTLIBRARIES:
628 -test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
629 @list='$(lib_LTLIBRARIES)'; for p in $$list; do \
630 dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
631 test "$$dir" != "$$p" || dir=.; \
632 echo "rm -f \"$${dir}/so_locations\""; \
633 rm -f "$${dir}/so_locations"; \
634 done
635
636 clean-noinstLTLIBRARIES:
637 -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
638 @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
639 dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
640 test "$$dir" != "$$p" || dir=.; \
641 echo "rm -f \"$${dir}/so_locations\""; \
642 rm -f "$${dir}/so_locations"; \
643 done
644 lib@LIBNAVIT@.la: $(lib@LIBNAVIT@_la_OBJECTS) $(lib@LIBNAVIT@_la_DEPENDENCIES)
645 $(lib@LIBNAVIT@_la_LINK) $(am_lib@LIBNAVIT@_la_rpath) $(lib@LIBNAVIT@_la_OBJECTS) $(lib@LIBNAVIT@_la_LIBADD) $(LIBS)
646 install-binPROGRAMS: $(bin_PROGRAMS)
647 @$(NORMAL_INSTALL)
648 test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
649 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
650 for p in $$list; do echo "$$p $$p"; done | \
651 sed 's/$(EXEEXT)$$//' | \
652 while read p p1; do if test -f $$p || test -f $$p1; \
653 then echo "$$p"; echo "$$p"; else :; fi; \
654 done | \
655 sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
656 -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
657 sed 'N;N;N;s,\n, ,g' | \
658 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
659 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
660 if ($$2 == $$4) files[d] = files[d] " " $$1; \
661 else { print "f", $$3 "/" $$4, $$1; } } \
662 END { for (d in files) print "f", d, files[d] }' | \
663 while read type dir files; do \
664 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
665 test -z "$$files" || { \
666 echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
667 $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
668 } \
669 ; done
670
671 uninstall-binPROGRAMS:
672 @$(NORMAL_UNINSTALL)
673 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
674 files=`for p in $$list; do echo "$$p"; done | \
675 sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
676 -e 's/$$/$(EXEEXT)/' `; \
677 test -n "$$list" || exit 0; \
678 echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
679 cd "$(DESTDIR)$(bindir)" && rm -f $$files
680
681 clean-binPROGRAMS:
682 @list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
683 echo " rm -f" $$list; \
684 rm -f $$list || exit $$?; \
685 test -n "$(EXEEXT)" || exit 0; \
686 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
687 echo " rm -f" $$list; \
688 rm -f $$list
689 navit$(EXEEXT): $(navit_OBJECTS) $(navit_DEPENDENCIES)
690 @rm -f navit$(EXEEXT)
691 $(navit_LINK) $(navit_OBJECTS) $(navit_LDADD) $(LIBS)
692 navit2$(EXEEXT): $(navit2_OBJECTS) $(navit2_DEPENDENCIES)
693 @rm -f navit2$(EXEEXT)
694 $(navit2_LINK) $(navit2_OBJECTS) $(navit2_LDADD) $(LIBS)
695
696 mostlyclean-compile:
697 -rm -f *.$(OBJEXT)
698
699 distclean-compile:
700 -rm -f *.tab.c
701
702 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/android.Plo@am__quote@
703 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/announcement.Plo@am__quote@
704 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/atom.Plo@am__quote@
705 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/attr.Plo@am__quote@
706 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/binfile.Plo@am__quote@
707 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bookmarks.Plo@am__quote@
708 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/builtin.Plo@am__quote@
709 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cache.Plo@am__quote@
710 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/callback.Plo@am__quote@
711 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/command.Plo@am__quote@
712 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/compass.Plo@am__quote@
713 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/config_.Plo@am__quote@
714 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/coord.Plo@am__quote@
715 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/country.Plo@am__quote@
716 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/csv.Plo@am__quote@
717 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/data_window.Plo@am__quote@
718 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/debug.Plo@am__quote@
719 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/event.Plo@am__quote@
720 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/event_glib.Plo@am__quote@
721 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/file.Plo@am__quote@
722 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/graphics.Plo@am__quote@
723 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/graphics_android.Plo@am__quote@
724 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui.Plo@am__quote@
725 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui_internal.Plo@am__quote@
726 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/item.Plo@am__quote@
727 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/layout.Plo@am__quote@
728 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/linguistics.Plo@am__quote@
729 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/log.Plo@am__quote@
730 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Plo@am__quote@
731 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/map.Plo@am__quote@
732 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mapset.Plo@am__quote@
733 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maptype.Plo@am__quote@
734 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/menu.Plo@am__quote@
735 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/messages.Plo@am__quote@
736 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/miniz.Plo@am__quote@
737 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/navigation.Plo@am__quote@
738 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/navit.Plo@am__quote@
739 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/navit2.Po@am__quote@
740 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/osd.Plo@am__quote@
741 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/osd_core.Plo@am__quote@
742 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/param.Plo@am__quote@
743 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/phrase.Plo@am__quote@
744 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/plugin.Plo@am__quote@
745 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/popup.Plo@am__quote@
746 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/profile.Plo@am__quote@
747 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/projection.Plo@am__quote@
748 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/quadtree.Plo@am__quote@
749 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/roadprofile.Plo@am__quote@
750 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/route.Plo@am__quote@
751 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/routech.Plo@am__quote@
752 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/search.Plo@am__quote@
753 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/snprintf.Plo@am__quote@
754 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/speech.Plo@am__quote@
755 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/speech_android.Plo@am__quote@
756 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/start.Po@am__quote@
757 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/start_real.Plo@am__quote@
758 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sunriset.Plo@am__quote@
759 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/textfile.Plo@am__quote@
760 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/track.Plo@am__quote@
761 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/transform.Plo@am__quote@
762 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Plo@am__quote@
763 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vehicle.Plo@am__quote@
764 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vehicle_android.Plo@am__quote@
765 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vehicle_demo.Plo@am__quote@
766 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vehicleprofile.Plo@am__quote@
767 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xmlconfig.Plo@am__quote@
768
769 .c.o:
770 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
771 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
772 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
773 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
774 @am__fastdepCC_FALSE@ $(COMPILE) -c $<
775
776 .c.obj:
777 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
778 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
779 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
780 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
781 @am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
782
783 .c.lo:
784 @am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
785 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
786 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
787 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
788 @am__fastdepCC_FALSE@ $(LTCOMPILE) -c -o $@ $<
789
790 miniz.lo: maptool/miniz.c
791 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT miniz.lo -MD -MP -MF $(DEPDIR)/miniz.Tpo -c -o miniz.lo `test -f 'maptool/miniz.c' || echo '$(srcdir)/'`maptool/miniz.c
792 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/miniz.Tpo $(DEPDIR)/miniz.Plo
793 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='maptool/miniz.c' object='miniz.lo' libtool=yes @AMDEPBACKSLASH@
794 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
795 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o miniz.lo `test -f 'maptool/miniz.c' || echo '$(srcdir)/'`maptool/miniz.c
796
797 vehicle_android.lo: vehicle/android/vehicle_android.c
798 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT vehicle_android.lo -MD -MP -MF $(DEPDIR)/vehicle_android.Tpo -c -o vehicle_android.lo `test -f 'vehicle/android/vehicle_android.c' || echo '$(srcdir)/'`vehicle/android/vehicle_android.c
799 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/vehicle_android.Tpo $(DEPDIR)/vehicle_android.Plo
800 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='vehicle/android/vehicle_android.c' object='vehicle_android.lo' libtool=yes @AMDEPBACKSLASH@
801 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
802 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o vehicle_android.lo `test -f 'vehicle/android/vehicle_android.c' || echo '$(srcdir)/'`vehicle/android/vehicle_android.c
803
804 vehicle_demo.lo: vehicle/demo/vehicle_demo.c
805 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT vehicle_demo.lo -MD -MP -MF $(DEPDIR)/vehicle_demo.Tpo -c -o vehicle_demo.lo `test -f 'vehicle/demo/vehicle_demo.c' || echo '$(srcdir)/'`vehicle/demo/vehicle_demo.c
806 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/vehicle_demo.Tpo $(DEPDIR)/vehicle_demo.Plo
807 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='vehicle/demo/vehicle_demo.c' object='vehicle_demo.lo' libtool=yes @AMDEPBACKSLASH@
808 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
809 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o vehicle_demo.lo `test -f 'vehicle/demo/vehicle_demo.c' || echo '$(srcdir)/'`vehicle/demo/vehicle_demo.c
810
811 gui_internal.lo: gui/internal/gui_internal.c
812 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT gui_internal.lo -MD -MP -MF $(DEPDIR)/gui_internal.Tpo -c -o gui_internal.lo `test -f 'gui/internal/gui_internal.c' || echo '$(srcdir)/'`gui/internal/gui_internal.c
813 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/gui_internal.Tpo $(DEPDIR)/gui_internal.Plo
814 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='gui/internal/gui_internal.c' object='gui_internal.lo' libtool=yes @AMDEPBACKSLASH@
815 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
816 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o gui_internal.lo `test -f 'gui/internal/gui_internal.c' || echo '$(srcdir)/'`gui/internal/gui_internal.c
817
818 graphics_android.lo: graphics/android/graphics_android.c
819 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphics_android.lo -MD -MP -MF $(DEPDIR)/graphics_android.Tpo -c -o graphics_android.lo `test -f 'graphics/android/graphics_android.c' || echo '$(srcdir)/'`graphics/android/graphics_android.c
820 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/graphics_android.Tpo $(DEPDIR)/graphics_android.Plo
821 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='graphics/android/graphics_android.c' object='graphics_android.lo' libtool=yes @AMDEPBACKSLASH@
822 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
823 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphics_android.lo `test -f 'graphics/android/graphics_android.c' || echo '$(srcdir)/'`graphics/android/graphics_android.c
824
825 binfile.lo: map/binfile/binfile.c
826 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT binfile.lo -MD -MP -MF $(DEPDIR)/binfile.Tpo -c -o binfile.lo `test -f 'map/binfile/binfile.c' || echo '$(srcdir)/'`map/binfile/binfile.c
827 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/binfile.Tpo $(DEPDIR)/binfile.Plo
828 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='map/binfile/binfile.c' object='binfile.lo' libtool=yes @AMDEPBACKSLASH@
829 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
830 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o binfile.lo `test -f 'map/binfile/binfile.c' || echo '$(srcdir)/'`map/binfile/binfile.c
831
832 csv.lo: map/csv/csv.c
833 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT csv.lo -MD -MP -MF $(DEPDIR)/csv.Tpo -c -o csv.lo `test -f 'map/csv/csv.c' || echo '$(srcdir)/'`map/csv/csv.c
834 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/csv.Tpo $(DEPDIR)/csv.Plo
835 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='map/csv/csv.c' object='csv.lo' libtool=yes @AMDEPBACKSLASH@
836 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
837 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o csv.lo `test -f 'map/csv/csv.c' || echo '$(srcdir)/'`map/csv/csv.c
838
839 quadtree.lo: map/csv/quadtree.c
840 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT quadtree.lo -MD -MP -MF $(DEPDIR)/quadtree.Tpo -c -o quadtree.lo `test -f 'map/csv/quadtree.c' || echo '$(srcdir)/'`map/csv/quadtree.c
841 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/quadtree.Tpo $(DEPDIR)/quadtree.Plo
842 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='map/csv/quadtree.c' object='quadtree.lo' libtool=yes @AMDEPBACKSLASH@
843 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
844 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o quadtree.lo `test -f 'map/csv/quadtree.c' || echo '$(srcdir)/'`map/csv/quadtree.c
845
846 textfile.lo: map/textfile/textfile.c
847 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT textfile.lo -MD -MP -MF $(DEPDIR)/textfile.Tpo -c -o textfile.lo `test -f 'map/textfile/textfile.c' || echo '$(srcdir)/'`map/textfile/textfile.c
848 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/textfile.Tpo $(DEPDIR)/textfile.Plo
849 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='map/textfile/textfile.c' object='textfile.lo' libtool=yes @AMDEPBACKSLASH@
850 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
851 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o textfile.lo `test -f 'map/textfile/textfile.c' || echo '$(srcdir)/'`map/textfile/textfile.c
852
853 osd_core.lo: osd/core/osd_core.c
854 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT osd_core.lo -MD -MP -MF $(DEPDIR)/osd_core.Tpo -c -o osd_core.lo `test -f 'osd/core/osd_core.c' || echo '$(srcdir)/'`osd/core/osd_core.c
855 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/osd_core.Tpo $(DEPDIR)/osd_core.Plo
856 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='osd/core/osd_core.c' object='osd_core.lo' libtool=yes @AMDEPBACKSLASH@
857 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
858 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o osd_core.lo `test -f 'osd/core/osd_core.c' || echo '$(srcdir)/'`osd/core/osd_core.c
859
860 speech_android.lo: speech/android/speech_android.c
861 @am__fastdepCC_TRUE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT speech_android.lo -MD -MP -MF $(DEPDIR)/speech_android.Tpo -c -o speech_android.lo `test -f 'speech/android/speech_android.c' || echo '$(srcdir)/'`speech/android/speech_android.c
862 @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/speech_android.Tpo $(DEPDIR)/speech_android.Plo
863 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='speech/android/speech_android.c' object='speech_android.lo' libtool=yes @AMDEPBACKSLASH@
864 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
865 @am__fastdepCC_FALSE@ $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o speech_android.lo `test -f 'speech/android/speech_android.c' || echo '$(srcdir)/'`speech/android/speech_android.c
866
867 mostlyclean-libtool:
868 -rm -f *.lo
869
870 clean-libtool:
871 -rm -rf .libs _libs
872 install-pkgdataDATA: $(pkgdata_DATA)
873 @$(NORMAL_INSTALL)
874 test -z "$(pkgdatadir)" || $(MKDIR_P) "$(DESTDIR)$(pkgdatadir)"
875 @list='$(pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
876 for p in $$list; do \
877 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
878 echo "$$d$$p"; \
879 done | $(am__base_list) | \
880 while read files; do \
881 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgdatadir)'"; \
882 $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgdatadir)" || exit $$?; \
883 done
884
885 uninstall-pkgdataDATA:
886 @$(NORMAL_UNINSTALL)
887 @list='$(pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
888 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
889 test -n "$$files" || exit 0; \
890 echo " ( cd '$(DESTDIR)$(pkgdatadir)' && rm -f" $$files ")"; \
891 cd "$(DESTDIR)$(pkgdatadir)" && rm -f $$files
892
893 # This directory's subdirectories are mostly independent; you can cd
894 # into them and run `make' without going through this Makefile.
895 # To change the values of `make' variables: instead of editing Makefiles,
896 # (1) if the variable is set in `config.status', edit `config.status'
897 # (which will cause the Makefiles to be regenerated when you run `make');
898 # (2) otherwise, pass the desired values on the `make' command line.
899 $(RECURSIVE_TARGETS):
900 @fail= failcom='exit 1'; \
901 for f in x $$MAKEFLAGS; do \
902 case $$f in \
903 *=* | --[!k]*);; \
904 *k*) failcom='fail=yes';; \
905 esac; \
906 done; \
907 dot_seen=no; \
908 target=`echo $@ | sed s/-recursive//`; \
909 list='$(SUBDIRS)'; for subdir in $$list; do \
910 echo "Making $$target in $$subdir"; \
911 if test "$$subdir" = "."; then \
912 dot_seen=yes; \
913 local_target="$$target-am"; \
914 else \
915 local_target="$$target"; \
916 fi; \
917 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
918 || eval $$failcom; \
919 done; \
920 if test "$$dot_seen" = "no"; then \
921 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
922 fi; test -z "$$fail"
923
924 $(RECURSIVE_CLEAN_TARGETS):
925 @fail= failcom='exit 1'; \
926 for f in x $$MAKEFLAGS; do \
927 case $$f in \
928 *=* | --[!k]*);; \
929 *k*) failcom='fail=yes';; \
930 esac; \
931 done; \
932 dot_seen=no; \
933 case "$@" in \
934 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
935 *) list='$(SUBDIRS)' ;; \
936 esac; \
937 rev=''; for subdir in $$list; do \
938 if test "$$subdir" = "."; then :; else \
939 rev="$$subdir $$rev"; \
940 fi; \
941 done; \
942 rev="$$rev ."; \
943 target=`echo $@ | sed s/-recursive//`; \
944 for subdir in $$rev; do \
945 echo "Making $$target in $$subdir"; \
946 if test "$$subdir" = "."; then \
947 local_target="$$target-am"; \
948 else \
949 local_target="$$target"; \
950 fi; \
951 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
952 || eval $$failcom; \
953 done && test -z "$$fail"
954 tags-recursive:
955 list='$(SUBDIRS)'; for subdir in $$list; do \
956 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
957 done
958 ctags-recursive:
959 list='$(SUBDIRS)'; for subdir in $$list; do \
960 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
961 done
962
963 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
964 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
965 unique=`for i in $$list; do \
966 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
967 done | \
968 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
969 END { if (nonempty) { for (i in files) print i; }; }'`; \
970 mkid -fID $$unique
971 tags: TAGS
972
973 TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
974 $(TAGS_FILES) $(LISP)
975 set x; \
976 here=`pwd`; \
977 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
978 include_option=--etags-include; \
979 empty_fix=.; \
980 else \
981 include_option=--include; \
982 empty_fix=; \
983 fi; \
984 list='$(SUBDIRS)'; for subdir in $$list; do \
985 if test "$$subdir" = .; then :; else \
986 test ! -f $$subdir/TAGS || \
987 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
988 fi; \
989 done; \
990 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
991 unique=`for i in $$list; do \
992 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
993 done | \
994 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
995 END { if (nonempty) { for (i in files) print i; }; }'`; \
996 shift; \
997 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
998 test -n "$$unique" || unique=$$empty_fix; \
999 if test $$# -gt 0; then \
1000 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1001 "$$@" $$unique; \
1002 else \
1003 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1004 $$unique; \
1005 fi; \
1006 fi
1007 ctags: CTAGS
1008 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
1009 $(TAGS_FILES) $(LISP)
1010 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
1011 unique=`for i in $$list; do \
1012 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1013 done | \
1014 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1015 END { if (nonempty) { for (i in files) print i; }; }'`; \
1016 test -z "$(CTAGS_ARGS)$$unique" \
1017 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1018 $$unique
1019
1020 GTAGS:
1021 here=`$(am__cd) $(top_builddir) && pwd` \
1022 && $(am__cd) $(top_srcdir) \
1023 && gtags -i $(GTAGS_ARGS) "$$here"
1024
1025 distclean-tags:
1026 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1027
1028 distdir: $(DISTFILES)
1029 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1030 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1031 list='$(DISTFILES)'; \
1032 dist_files=`for file in $$list; do echo $$file; done | \
1033 sed -e "s|^$$srcdirstrip/||;t" \
1034 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1035 case $$dist_files in \
1036 */*) $(MKDIR_P) `echo "$$dist_files" | \
1037 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1038 sort -u` ;; \
1039 esac; \
1040 for file in $$dist_files; do \
1041 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1042 if test -d $$d/$$file; then \
1043 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1044 if test -d "$(distdir)/$$file"; then \
1045 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1046 fi; \
1047 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1048 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1049 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1050 fi; \
1051 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1052 else \
1053 test -f "$(distdir)/$$file" \
1054 || cp -p $$d/$$file "$(distdir)/$$file" \
1055 || exit 1; \
1056 fi; \
1057 done
1058 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1059 if test "$$subdir" = .; then :; else \
1060 test -d "$(distdir)/$$subdir" \
1061 || $(MKDIR_P) "$(distdir)/$$subdir" \
1062 || exit 1; \
1063 fi; \
1064 done
1065 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1066 if test "$$subdir" = .; then :; else \
1067 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1068 $(am__relativize); \
1069 new_distdir=$$reldir; \
1070 dir1=$$subdir; dir2="$(top_distdir)"; \
1071 $(am__relativize); \
1072 new_top_distdir=$$reldir; \
1073 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1074 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1075 ($(am__cd) $$subdir && \
1076 $(MAKE) $(AM_MAKEFLAGS) \
1077 top_distdir="$$new_top_distdir" \
1078 distdir="$$new_distdir" \
1079 am__remove_distdir=: \
1080 am__skip_length_check=: \
1081 am__skip_mode_fix=: \
1082 distdir) \
1083 || exit 1; \
1084 fi; \
1085 done
1086 check-am: all-am
1087 check: $(BUILT_SOURCES)
1088 $(MAKE) $(AM_MAKEFLAGS) check-recursive
1089 all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(DATA)
1090 install-binPROGRAMS: install-libLTLIBRARIES
1091
1092 installdirs: installdirs-recursive
1093 installdirs-am:
1094 for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(pkgdatadir)"; do \
1095 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1096 done
1097 install: $(BUILT_SOURCES)
1098 $(MAKE) $(AM_MAKEFLAGS) install-recursive
1099 install-exec: install-exec-recursive
1100 install-data: install-data-recursive
1101 uninstall: uninstall-recursive
1102
1103 install-am: all-am
1104 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1105
1106 installcheck: installcheck-recursive
1107 install-strip:
1108 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1109 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1110 `test -z '$(STRIP)' || \
1111 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1112 mostlyclean-generic:
1113
1114 clean-generic:
1115
1116 distclean-generic:
1117 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1118 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1119
1120 maintainer-clean-generic:
1121 @echo "This command is intended for maintainers to use"
1122 @echo "it deletes files that may require special tools to rebuild."
1123 -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1124 clean: clean-recursive
1125
1126 clean-am: clean-binPROGRAMS clean-generic clean-libLTLIBRARIES \
1127 clean-libtool clean-noinstLTLIBRARIES mostlyclean-am
1128
1129 distclean: distclean-recursive
1130 -rm -rf ./$(DEPDIR)
1131 -rm -f Makefile
1132 distclean-am: clean-am distclean-compile distclean-generic \
1133 distclean-local distclean-tags
1134
1135 dvi: dvi-recursive
1136
1137 dvi-am:
1138
1139 html: html-recursive
1140
1141 html-am:
1142
1143 info: info-recursive
1144
1145 info-am:
1146
1147 install-data-am: install-pkgdataDATA
1148
1149 install-dvi: install-dvi-recursive
1150
1151 install-dvi-am:
1152
1153 install-exec-am: install-binPROGRAMS install-libLTLIBRARIES
1154
1155 install-html: install-html-recursive
1156
1157 install-html-am:
1158
1159 install-info: install-info-recursive
1160
1161 install-info-am:
1162
1163 install-man:
1164
1165 install-pdf: install-pdf-recursive
1166
1167 install-pdf-am:
1168
1169 install-ps: install-ps-recursive
1170
1171 install-ps-am:
1172
1173 installcheck-am:
1174
1175 maintainer-clean: maintainer-clean-recursive
1176 -rm -rf ./$(DEPDIR)
1177 -rm -f Makefile
1178 maintainer-clean-am: distclean-am maintainer-clean-generic
1179
1180 mostlyclean: mostlyclean-recursive
1181
1182 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1183 mostlyclean-libtool
1184
1185 pdf: pdf-recursive
1186
1187 pdf-am:
1188
1189 ps: ps-recursive
1190
1191 ps-am:
1192
1193 uninstall-am: uninstall-binPROGRAMS uninstall-libLTLIBRARIES \
1194 uninstall-pkgdataDATA
1195
1196 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all check \
1197 ctags-recursive install install-am install-strip \
1198 tags-recursive
1199
1200 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
1201 all all-am check check-am clean clean-binPROGRAMS \
1202 clean-generic clean-libLTLIBRARIES clean-libtool \
1203 clean-noinstLTLIBRARIES ctags ctags-recursive distclean \
1204 distclean-compile distclean-generic distclean-libtool \
1205 distclean-local distclean-tags distdir dvi dvi-am html html-am \
1206 info info-am install install-am install-binPROGRAMS \
1207 install-data install-data-am install-dvi install-dvi-am \
1208 install-exec install-exec-am install-html install-html-am \
1209 install-info install-info-am install-libLTLIBRARIES \
1210 install-man install-pdf install-pdf-am install-pkgdataDATA \
1211 install-ps install-ps-am install-strip installcheck \
1212 installcheck-am installdirs installdirs-am maintainer-clean \
1213 maintainer-clean-generic mostlyclean mostlyclean-compile \
1214 mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1215 tags tags-recursive uninstall uninstall-am \
1216 uninstall-binPROGRAMS uninstall-libLTLIBRARIES \
1217 uninstall-pkgdataDATA
1218
1219 navit.xml: navit_shipped.xml $(foreach xslt, $(subst $(comma), ,$(XSLTS)), $(addsuffix .xslt,$(addprefix xslt/,$(xslt)))) navit_android_xml
1220 cp $< navit.xml.new
1221 if [ ! -f navit.dtd ]; then cp -f $(top_srcdir)/navit/navit.dtd .; fi
1222 for i in $^; do if [ "$${i%.xslt}" != "$$i" ]; then echo "Applying $$i" ; @SAXON@ -snone navit.xml.new $$i >navit.xml.tmp || exit ; mv navit.xml.tmp navit.xml.new || exit ; fi ; done
1223 mv navit.xml.new navit.xml
1224 rm -f navit.xml.tmp
1225
1226 navit_android_xml: navit_shipped.xml
1227 # new android xml files for (mdpi,ldpi,hdpi)
1228 @SUPPORT_ANDROID_TRUE@ cp $(srcdir)/navit_shipped.xml navit_android.xml.new
1229 @SUPPORT_ANDROID_TRUE@ if [ ! -f navit.dtd ]; then cp -f $(top_srcdir)/navit/navit.dtd .; fi
1230
1231 # # now apply any other xslt files (this would allow for pedestrian plugin)
1232 # for i in $(foreach xslt, $(subst $(comma), ,$(XSLTS)), $(addsuffix .xslt,$(addprefix xslt/,$(xslt)))); do if [ "$${i%.xslt}" != "$$i" ]; then j=`basename $$i` ; if [ "$$j" != "android.xslt" ] ; then echo "Android: Applying $$i" ; @SAXON@ -snone navit_android.xml.new $(srcdir)/"$$i" >navit_android.xml.new.tmp || exit ; mv navit_android.xml.new.tmp navit_android.xml.new || exit ; fi ; fi ; done
1233 # # for now disable pedestrian plugin (zoff99)
1234
1235 @SUPPORT_ANDROID_TRUE@ @SAXON@ -snone navit_android.xml.new $(srcdir)/xslt/android_mdpi.xslt >navit_android_mdpi.xml.tmp
1236 @SUPPORT_ANDROID_TRUE@ @SAXON@ -snone navit_android.xml.new $(srcdir)/xslt/android_ldpi.xslt >navit_android_ldpi.xml.tmp
1237 @SUPPORT_ANDROID_TRUE@ @SAXON@ -snone navit_android.xml.new $(srcdir)/xslt/android_hdpi.xslt >navit_android_hdpi.xml.tmp
1238 @SUPPORT_ANDROID_TRUE@ rm -f navit_android.xml.new
1239 @SUPPORT_ANDROID_TRUE@ rm -f navit_android.xml.new.tmp
1240 @SUPPORT_ANDROID_TRUE@ mv navit_android_mdpi.xml.tmp navit_android_mdpi.xml
1241 @SUPPORT_ANDROID_TRUE@ mv navit_android_ldpi.xml.tmp navit_android_ldpi.xml
1242 @SUPPORT_ANDROID_TRUE@ mv navit_android_hdpi.xml.tmp navit_android_hdpi.xml
1243 @SUPPORT_ANDROID_TRUE@ rm -f navit_android_mdpi.xml.tmp
1244 @SUPPORT_ANDROID_TRUE@ rm -f navit_android_ldpi.xml.tmp
1245 @SUPPORT_ANDROID_TRUE@ rm -f navit_android_hdpi.xml.tmp
1246 @SUPPORT_ANDROID_FALSE@ echo "no Android support"
1247
1248 @SUPPORT_ANDROID_TRUE@android/AndroidManifest.xml: android/AndroidManifest.xml.in
1249 @SUPPORT_ANDROID_TRUE@ mkdir -p $(builddir)/android
1250 @SUPPORT_ANDROID_TRUE@ mkdir -p $(builddir)/android/res2/drawable-hdpi
1251 @SUPPORT_ANDROID_TRUE@ mkdir -p $(builddir)/android/res2/drawable-mdpi
1252 @SUPPORT_ANDROID_TRUE@ mkdir -p $(builddir)/android/res2/drawable-ldpi
1253
1254 @SUPPORT_ANDROID_TRUE@ sed '0,/<uses-sdk/!d' <$< >$@
1255 @SUPPORT_ANDROID_TRUE@ for i in $(subst $(comma), ,@ANDROID_PERMISSIONS@); do echo " <uses-permission android:name=\"android.permission.$$i\" />" >>$@; done
1256 @SUPPORT_ANDROID_TRUE@ sed '0,/<uses-sdk/d' <$< >>$@
1257 @SUPPORT_ANDROID_TRUE@ sed -e "s/@ANDROID_VERSION_INT@/$(v_int)/" <$@ >android/AndroidManifest.xml.tmp
1258 @SUPPORT_ANDROID_TRUE@ mv android/AndroidManifest.xml.tmp $@
1259 @SUPPORT_ANDROID_TRUE@ sed -e "s/@ANDROID_VERSION_NAME@/$(v_name)/" <$@ >android/AndroidManifest.xml.tmp
1260 @SUPPORT_ANDROID_TRUE@ mv android/AndroidManifest.xml.tmp $@
1261
1262 @SUPPORT_ANDROID_TRUE@android/build.xml: android/AndroidManifest.xml android/dummy.txt
1263 # this is needed, otherwise somehow the files cant be deleted
1264 @SUPPORT_ANDROID_TRUE@ mkdir -p $(builddir)/android/src/
1265 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then chmod -R u+w $(builddir)/android/src/; fi
1266 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then rm -Rf $(builddir)/android/src/; fi
1267 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then cp -rpf $(srcdir)/android/* $(builddir)/android; fi
1268
1269 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then rm -Rf $(builddir)/android/lib/; fi
1270 @SUPPORT_ANDROID_TRUE@ mkdir -p $(builddir)/android/lib/
1271 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then cp -pf $(srcdir)/android/tagsoup-1.2.1.jar $(builddir)/android/lib/; fi
1272
1273 @SUPPORT_ANDROID_TRUE@ touch $(srcdir)/android/dummy.txt
1274 @SUPPORT_ANDROID_TRUE@ touch $(builddir)/android/dummy.txt
1275
1276 # mkdir -p $(builddir)/actionbarsherlock/src/
1277 # if [ "$(builddir)" != "$(srcdir)" ]; then chmod -R u+w $(builddir)/actionbarsherlock/src/; fi
1278 # if [ "$(builddir)" != "$(srcdir)" ]; then rm -Rf $(builddir)/actionbarsherlock/src/; fi
1279 # if [ "$(builddir)" != "$(srcdir)" ]; then cp -rpf $(srcdir)/actionbarsherlock/* $(builddir)/actionbarsherlock; fi
1280 # touch $(srcdir)/actionbarsherlock/dummy.txt
1281 # touch $(builddir)/actionbarsherlock/dummy.txt
1282 #
1283 # android update project -t @ANDROID_PROJECT@ -p android -l ../actionbarsherlock
1284 # echo "jar.libs.dir=lib" >> $(builddir)/android/ant.properties
1285
1286 @SUPPORT_ANDROID_TRUE@ mkdir -p $(builddir)/android-support-v7-appcompat/src/
1287 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then chmod -R u+w $(builddir)/android-support-v7-appcompat/src/; fi
1288 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then rm -Rf $(builddir)/android-support-v7-appcompat/src/; fi
1289 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then cp -rpf $(srcdir)/android-support-v7-appcompat/* $(builddir)/android-support-v7-appcompat/; fi
1290 @SUPPORT_ANDROID_TRUE@ touch $(srcdir)/android-support-v7-appcompat/dummy.txt
1291 @SUPPORT_ANDROID_TRUE@ touch $(builddir)/android-support-v7-appcompat/dummy.txt
1292
1293 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then mkdir -p $(builddir)/android/src/com/zoffcc/applications/zanavi_msg/ ; fi
1294 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then cp -pf $(builddir)/android/aidl/com/zoffcc/applications/zanavi_msg/*.aidl $(builddir)/android/src/com/zoffcc/applications/zanavi_msg/ ; fi
1295
1296 # android update lib-project -t @ANDROID_PROJECT@ -p $(builddir)/android-support-v7-appcompat
1297 @SUPPORT_ANDROID_TRUE@ android update project -t @ANDROID_PROJECT@ -p android -l ../android-support-v7-appcompat
1298 @SUPPORT_ANDROID_TRUE@ echo "jar.libs.dir=lib" >> $(builddir)/android/ant.properties
1299
1300 @SUPPORT_ANDROID_TRUE@apkg-all: all android/build.xml navit.xml
1301 @SUPPORT_ANDROID_TRUE@ mkdir -p android/libs/$(b_arch)
1302 @SUPPORT_ANDROID_TRUE@ cp .libs/*.so android/libs/$(b_arch)/libnavit.so
1303 @SUPPORT_ANDROID_TRUE@ for i in */*/.libs/*.so ; do sed 's&lib_data_data_com\.zoffcc\.applications\.zanavi_lib_&/data/data/com.zoffcc.applications.zanavi/lib/lib&' <$$i >android/libs/$(b_arch)/$$(basename $$i); done
1304
1305 @SUPPORT_ANDROID_TRUE@ mkdir -p android/res/drawable-ldpi
1306 @SUPPORT_ANDROID_TRUE@ mkdir -p android/res/drawable-mdpi
1307 @SUPPORT_ANDROID_TRUE@ mkdir -p android/res/drawable-hdpi
1308 @SUPPORT_ANDROID_TRUE@ mkdir -p android/res/drawable-xhdpi
1309 @SUPPORT_ANDROID_TRUE@ mkdir -p android/res/drawable-xxhdpi
1310
1311 @SUPPORT_ANDROID_TRUE@ mkdir -p android/res2/drawable-hdpi
1312 @SUPPORT_ANDROID_TRUE@ mkdir -p android/res2/drawable-mdpi
1313 @SUPPORT_ANDROID_TRUE@ mkdir -p android/res2/drawable-ldpi
1314
1315 # all icons and imgs
1316 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_PNG_BUILD)" == "1" ]; then for i in $(shell cd $(builddir)/xpm && echo *_16_16.png); do cp -v $(builddir)/xpm/$$i android/res/drawable-ldpi/$$( echo $$i | tr "[A-Z]" "[a-z]" | sed -e 'sx_16_16xx') ; done ; fi
1317 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_PNG_BUILD)" == "1" ]; then for i in $(shell cd $(builddir)/xpm && echo *_32_32.png); do cp -v $(builddir)/xpm/$$i android/res/drawable-mdpi/$$( echo $$i | tr "[A-Z]" "[a-z]" | sed -e 'sx_32_32xx') ; done ; fi
1318 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_PNG_BUILD)" == "1" ]; then for i in $(shell cd $(builddir)/xpm && echo *_48_48.png); do cp -v $(builddir)/xpm/$$i android/res/drawable-hdpi/$$( echo $$i | tr "[A-Z]" "[a-z]" | sed -e 'sx_48_48xx') ; done ; fi
1319 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_PNG_BUILD)" == "1" ]; then for i in $(shell cd $(builddir)/xpm && echo *_48_48.png); do cp -v $(builddir)/xpm/$$i android/res/drawable-xhdpi/$$( echo $$i | tr "[A-Z]" "[a-z]" | sed -e 'sx_48_48xx') ; done ; fi
1320
1321 # nav icons (overwrite with larger versions)
1322 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_PNG_BUILD)" == "1" ]; then for i in $(shell cd $(builddir)/xpm && echo nav_*_48_48.png); do cp -v $(builddir)/xpm/$$i android/res/drawable-ldpi/$$( echo $$i | tr "[A-Z]" "[a-z]" | sed -e 'sx_48_48xx') ; done ; fi
1323 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_PNG_BUILD)" == "1" ]; then for i in $(shell cd $(builddir)/xpm && echo nav_*_48_48.png); do cp -v $(builddir)/xpm/$$i android/res/drawable-mdpi/$$( echo $$i | tr "[A-Z]" "[a-z]" | sed -e 'sx_48_48xx') ; done ; fi
1324 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_PNG_BUILD)" == "1" ]; then for i in $(shell cd $(builddir)/xpm && echo nav_*_96_96.png); do cp -v $(builddir)/xpm/$$i android/res/drawable-hdpi/$$( echo $$i | tr "[A-Z]" "[a-z]" | sed -e 'sx_96_96xx') ; done ; fi
1325 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_PNG_BUILD)" == "1" ]; then for i in $(shell cd $(builddir)/xpm && echo nav_*_192_192.png); do cp -v $(builddir)/xpm/$$i android/res/drawable-xhdpi/$$( echo $$i | tr "[A-Z]" "[a-z]" | sed -e 'sx_192_192xx') ; done ; fi
1326
1327 # only use needed pngs to make size of apk smaller
1328 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in flag_bk_tr.png flag_bk_wh.png mini_roundabout.png gui_active_32_32.png gui_arrow_right_32_32.png gui_arrow_left_32_32.png icon_32_32.png unknown_32_32.png gui_zoom_out_64_64.png gui_zoom_in_64_64.png gui_map_32_32.png gui_home_32_32.png gui_actions_64_64.png gui_settings_64_64.png gui_tools_64_64.png gui_about_64_64.png gui_inactive_32_32.png ; do cp -v $(builddir)/android/res2/drawable-hdpi/$$i android/res/drawable-hdpi/ ; done ; fi
1329 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in flag_bk_tr.png flag_bk_wh.png mini_roundabout.png gui_active_32_32.png gui_arrow_right_32_32.png gui_arrow_left_32_32.png icon_32_32.png unknown_32_32.png gui_zoom_out_64_64.png gui_zoom_in_64_64.png gui_map_32_32.png gui_home_32_32.png gui_actions_64_64.png gui_settings_64_64.png gui_tools_64_64.png gui_about_64_64.png gui_inactive_32_32.png ; do cp -v $(builddir)/android/res2/drawable-mdpi/$$i android/res/drawable-mdpi/ ; done ; fi
1330 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in flag_bk_tr.png flag_bk_wh.png mini_roundabout.png gui_active_32_32.png gui_arrow_right_32_32.png gui_arrow_left_32_32.png icon_32_32.png unknown_32_32.png gui_zoom_out_64_64.png gui_zoom_in_64_64.png gui_map_32_32.png gui_home_32_32.png gui_actions_64_64.png gui_settings_64_64.png gui_tools_64_64.png gui_about_64_64.png gui_inactive_32_32.png ; do cp -v $(builddir)/android/res2/drawable-ldpi/$$i android/res/drawable-ldpi/ ; done ; fi
1331 # gui icons
1332 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in $(shell cd android/res2/drawable-hdpi && echo gui*64_64*png); do cp -v $(builddir)/android/res2/drawable-hdpi/$$i android/res/drawable-hdpi/ ; done ; fi
1333 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in $(shell cd android/res2/drawable-mdpi && echo gui*64_64*png); do cp -v $(builddir)/android/res2/drawable-mdpi/$$i android/res/drawable-mdpi/ ; done ; fi
1334 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in $(shell cd android/res2/drawable-ldpi && echo gui*64_64*png); do cp -v $(builddir)/android/res2/drawable-ldpi/$$i android/res/drawable-ldpi/ ; done ; fi
1335 # nav icons
1336 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in $(shell cd android/res2/drawable-hdpi && echo nav_*png); do cp -v $(builddir)/android/res2/drawable-hdpi/$$i android/res/drawable-hdpi/ ; done ; fi
1337 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in $(shell cd android/res2/drawable-mdpi && echo nav_*png); do cp -v $(builddir)/android/res2/drawable-mdpi/$$i android/res/drawable-mdpi/ ; done ; fi
1338 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in $(shell cd android/res2/drawable-ldpi && echo nav_*png); do cp -v $(builddir)/android/res2/drawable-ldpi/$$i android/res/drawable-ldpi/ ; done ; fi
1339 # POIs
1340 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in traffic_signals.png atm.png bank.png fuel.png gui_select_street_32_32.png gui_select_town_32_32.png gui_select_country_32_32.png ; do cp -v $(builddir)/android/res2/drawable-hdpi/$$i android/res/drawable-hdpi/ ; done ; fi
1341 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in traffic_signals.png atm.png bank.png fuel.png gui_select_street_32_32.png gui_select_town_32_32.png gui_select_country_32_32.png ; do cp -v $(builddir)/android/res2/drawable-mdpi/$$i android/res/drawable-mdpi/ ; done ; fi
1342 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in traffic_signals.png atm.png bank.png fuel.png gui_select_street_32_32.png gui_select_town_32_32.png gui_select_country_32_32.png ; do cp -v $(builddir)/android/res2/drawable-ldpi/$$i android/res/drawable-ldpi/ ; done ; fi
1343 # more POIs
1344 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in airport.png attraction.png bar.png beer.png bench.png boat_ramp.png boundary_stone.png bus.png cafe.png camping.png church.png cinema.png danger.png exit.png fastfood.png firebrigade.png fountain.png golf.png heliport.png hospital.png hotel.png information.png justice.png mark.png military.png mini_roundabout.png museum.png parking.png peak.png pharmacy.png police.png post.png repair_service.png resort.png restaurant.png ruins.png school.png shop_grocery.png shopping.png skiing.png stadium.png swimming.png tec_common.png telephone.png toilets.png viewpoint.png wifi.png zoom_in.png zoom_out.png zoo.png ; do cp -v $(builddir)/android/res2/drawable-hdpi/$$i android/res/drawable-hdpi/ ; done ; fi
1345 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in airport.png attraction.png bar.png beer.png bench.png boat_ramp.png boundary_stone.png bus.png cafe.png camping.png church.png cinema.png danger.png exit.png fastfood.png firebrigade.png fountain.png golf.png heliport.png hospital.png hotel.png information.png justice.png mark.png military.png mini_roundabout.png museum.png parking.png peak.png pharmacy.png police.png post.png repair_service.png resort.png restaurant.png ruins.png school.png shop_grocery.png shopping.png skiing.png stadium.png swimming.png tec_common.png telephone.png toilets.png viewpoint.png wifi.png zoom_in.png zoom_out.png zoo.png ; do cp -v $(builddir)/android/res2/drawable-mdpi/$$i android/res/drawable-mdpi/ ; done ; fi
1346 # if [ "$(builddir)" != "$(srcdir)" ]; then for i in airport.png attraction.png bar.png beer.png bench.png boat_ramp.png boundary_stone.png bus.png cafe.png camping.png church.png cinema.png danger.png exit.png fastfood.png firebrigade.png fountain.png golf.png heliport.png hospital.png hotel.png information.png justice.png mark.png military.png mini_roundabout.png museum.png parking.png peak.png pharmacy.png police.png post.png repair_service.png resort.png restaurant.png ruins.png school.png shop_grocery.png shopping.png skiing.png stadium.png swimming.png tec_common.png telephone.png toilets.png viewpoint.png wifi.png zoom_in.png zoom_out.png zoo.png ; do cp -v $(builddir)/android/res2/drawable-ldpi/$$i android/res/drawable-ldpi/ ; done ; fi
1347 # rest of nav_ icons
1348 # if [ "$(builddir)" != "$(srcdir)" ]; then cp -v $(builddir)/android/res2/drawable-hdpi/nav_destination_bk_59_59.png android/res/drawable-hdpi/nav_destination_bk.png ; fi
1349 # if [ "$(builddir)" != "$(srcdir)" ]; then cp -v $(builddir)/android/res2/drawable-mdpi/nav_destination_bk_59_59.png android/res/drawable-mdpi/nav_destination_bk.png ; fi
1350 # if [ "$(builddir)" != "$(srcdir)" ]; then cp -v $(builddir)/android/res2/drawable-ldpi/nav_destination_bk_59_59.png android/res/drawable-ldpi/nav_destination_bk.png ; fi
1351
1352 # if release build -> then compress png images (this takes a long time!!!)
1353 #
1354 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" == "1" ]; then if [ "$(builddir)" != "$(srcdir)" ]; then find android/res/drawable-hdpi/ -maxdepth 1 -type f -exec $(srcdir)/../pngout-static -c6 -f6 -y {} \; ; fi ; fi
1355 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" == "1" ]; then if [ "$(builddir)" != "$(srcdir)" ]; then find android/res/drawable-mdpi/ -maxdepth 1 -type f -exec $(srcdir)/../pngout-static -c6 -f6 -y {} \; ; fi ; fi
1356 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" == "1" ]; then if [ "$(builddir)" != "$(srcdir)" ]; then find android/res/drawable-ldpi/ -maxdepth 1 -type f -exec $(srcdir)/../pngout-static -c6 -f6 -y {} \; ; fi ; fi
1357
1358 # remove old libs
1359 @SUPPORT_ANDROID_TRUE@ ls -al android/libs/$(b_arch)/lib*.so
1360 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libgraphics_android.so
1361 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libgraphics_null.so
1362 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libgui_internal.so
1363 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libmap_binfile.so
1364 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libmap_csv.so
1365 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libmap_filter.so
1366 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libmap_mg.so
1367 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libmap_shapefile.so
1368 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libmap_textfile.so
1369 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libosd_core.so
1370 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libspeech_android.so
1371 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libvehicle_android.so
1372 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libvehicle_demo.so
1373 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libvehicle_file.so
1374 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libvehicle_pipe.so
1375 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libvehicle_serial.so
1376 @SUPPORT_ANDROID_TRUE@ rm -f android/libs/$(b_arch)/libvehicle_socket.so
1377
1378 # clean up
1379 # rm android/res2/drawable-hdpi/*
1380 # rm android/res2/drawable-mdpi/*
1381 # rm android/res2/drawable-ldpi/*
1382
1383 @SUPPORT_ANDROID_TRUE@ mkdir -p android/res/raw
1384 @SUPPORT_ANDROID_TRUE@ for i in $(shell cd ../po && echo *.mo); do cp ../po/$$i android/res/raw/$$( echo $$i | tr "[A-Z]" "[a-z]") ; done
1385 # cp navit.xml android/res/raw
1386 @SUPPORT_ANDROID_TRUE@ cp navit_android_mdpi.xml android/res/raw/navitmdpi.xml
1387 @SUPPORT_ANDROID_TRUE@ cp navit_android_ldpi.xml android/res/raw/navitldpi.xml
1388 @SUPPORT_ANDROID_TRUE@ cp navit_android_hdpi.xml android/res/raw/navithdpi.xml
1389
1390 # cleanup svn dirs, they should never be in build dir
1391 @SUPPORT_ANDROID_TRUE@ if [ "$(builddir)" != "$(srcdir)" ]; then find $(builddir) -type d -name '\.svn' -exec rm -Rf {} \; ; fi; echo "ignore the find errors!!"
1392
1393 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" != "1" ]; then mkdir -p android/libs/$(b_arch) ; fi
1394 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" != "1" ]; then install -p $(NDK)/prebuilt/android-arm/gdbserver/gdbserver android/libs/$(b_arch)/gdbserver ; fi
1395 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" != "1" ]; then mkdir -p android/libs/$(b_arch) ; fi
1396 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" != "1" ]; then mkdir -p android/obj/local/$(b_arch) ; fi
1397 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" != "1" ]; then cp android/libs/$(b_arch)/*.so android/obj/local/$(b_arch)/ ; fi
1398 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" != "1" ]; then echo "set solib-search-path $(builddir)/obj/local/$(b_arch)" > android/libs/$(b_arch)/gdb.setup ; fi
1399 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" != "1" ]; then echo "directory $(NDK)/platforms/android-""$(AND_API_LEVEL_C)""/arch-arm/usr/include $(NDK)/sources/cxx-stl/system" >> android/libs/$(b_arch)/gdb.setup ; fi
1400
1401 # strip libs if release build is selected
1402 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" == "1" ]; then echo "stripping libs ..."; arm-linux-androideabi-strip --strip-unneeded $(builddir)/android/libs/armeabi/* ; echo "done" ; fi
1403 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" == "1" ]; then echo "stripping libs ..."; arm-linux-androideabi-strip --strip-unneeded $(builddir)/android/libs/armeabi-v7a/* ; echo "done" ; fi
1404 @SUPPORT_ANDROID_TRUE@ if [ "$(DO_RELEASE_BUILD)" == "1" ]; then echo "stripping libs ..."; /home/navit/_navit_develop/_need/NDK/_unpack/android-ndk-r5c/toolchains/x86-4.8/prebuilt/linux-x86/bin/i686-linux-android-strip --strip-unneeded $(builddir)/android/libs/x86/* ; echo "done" ; fi
1405
1406 @SUPPORT_ANDROID_TRUE@apkg: apkg-all
1407 @SUPPORT_ANDROID_TRUE@ touch $(srcdir)/android/dummy.txt
1408 @SUPPORT_ANDROID_TRUE@ touch $(builddir)/android/dummy.txt
1409 @SUPPORT_ANDROID_TRUE@ cd android && ant debug
1410 # zipalign is already run automatically
1411
1412 @SUPPORT_ANDROID_TRUE@apkg-release: apkg-all
1413 @SUPPORT_ANDROID_TRUE@ touch $(srcdir)/android/dummy.txt
1414 @SUPPORT_ANDROID_TRUE@ touch $(builddir)/android/dummy.txt
1415 @SUPPORT_ANDROID_TRUE@ cd android && ant release
1416 # jarsigner $$(cat ~/.keys_args) android/bin/Navit-unsigned.apk mykey
1417 # zipalign -f 4 android/bin/Navit-unsigned.apk android/bin/Navit-aligned.apk
1418 @SUPPORT_ANDROID_TRUE@ /home/navit/_navit_develop/_need/SDK/_unpack/android-sdk-linux_SDK_r22.0.1/build-tools/21.1.1/zipalign -f 4 android/bin/Navit-release-unsigned.apk android/bin/Navit-aligned.apk
1419 @SUPPORT_ANDROID_TRUE@ cp android/bin/Navit-aligned.apk android/bin/Navit-debug.apk
1420
1421 @SUPPORT_WIN32_TRUE@resource.rsc: $(top_srcdir)/navit/gui/win32/resources/resource.rc
1422 @SUPPORT_WIN32_TRUE@ $(WINDRES) -I $(top_srcdir)/navit/gui/win32/resources $(top_srcdir)/navit/gui/win32/resources/resource.rc resource.rsc
1423
1424 .PHONY: version.h.tmp
1425
1426 version.h.tmp:
1427 echo "#include \"config.h\"" >version.h.tmp
1428 @SOURCE_MODE_SVN_TRUE@ echo "#define SVN_VERSION \"$$(LANG=C svnversion $(top_srcdir) 2>/dev/null)\"" >>version.h.tmp
1429 @SOURCE_MODE_SVN_FALSE@ echo "#define SVN_VERSION \"@SOURCE_MODE@\"" >>version.h.tmp
1430 echo "#define NAVIT_VARIANT \"@NAVIT_VARIANT@\"" >>version.h.tmp
1431 if ! diff version.h.tmp version.h >/dev/null 2>/dev/null; \
1432 then \
1433 mv version.h.tmp version.h; \
1434 fi
1435
1436 version.h: version.h.tmp
1437
1438 navit_config.h: ../config.h
1439 cp ../config.h navit_config.h.tmp
1440 if ! diff navit_config.h.tmp navit_config.h >/dev/null 2>/dev/null; \
1441 then \
1442 mv navit_config.h.tmp navit_config.h; \
1443 fi
1444
1445 distclean-local:
1446 rm -f version.h version.h.tmp navit_config.h navit_config.h.tmp builtin.c support-builtin.c navit.xml
1447 if [ "$(top_builddir)" != "$(top_srcdir)" ]; then rm -f navit.dtd; fi
1448
1449 builtin.c: $(top_builddir)/config.h
1450 ls $(top_builddir)/navit/*/*/*.la | sed -e "s/\.la/_init(void);/" -e "s/.*lib/extern void module_/" >builtin.c
1451 echo "extern void builtin_init(void);" >>builtin.c
1452 echo "void builtin_init(void) {" >>builtin.c
1453 ls $(top_builddir)/navit/*/*/*.la | sed -e "s/\.la/_init();/" -e "s/.*\\/lib/ module_/" >>builtin.c
1454 echo "}" >>builtin.c
1455 support-builtin.c: $(top_builddir)/config.h
1456 ls $(top_builddir)/navit/support/*/*.la | sed -e "s/\.la/_init(void);/" -e "s/.*lib/extern void module_/" >support-builtin.c
1457 echo "extern void builtin_init(void);" >>support-builtin.c
1458 echo "void builtin_init(void) {" >>support-builtin.c
1459 ls $(top_builddir)/navit/support/*/*.la | sed -e "s/\.la/_init();/" -e "s/.*\\/lib/ module_/" >>support-builtin.c
1460 echo "}" >>support-builtin.c
1461
1462 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1463 # Otherwise a system limit (for SysV at least) may be exceeded.
1464 .NOEXPORT:

   
Visit the ZANavi Wiki